import java.io.*;
import java.net.*;
import java.util.Date;

class Cliente {
    static final String HOST = "localhost";
    static final int Puerto = 2000;

    public Cliente( ) {
        try{
            Socket socketCliente = new Socket( HOST , Puerto );
            String datos;

            // Creo los flujos de entrada y salida
            DataInputStream flujo_entrada = new DataInputStream(socketCliente.getInputStream());
            DataOutputStream flujo_salida= new DataOutputStream(socketCliente.getOutputStream());

            // TAREAS QUE REALIZA EL CLIENTE
            datos = flujo_entrada.readUTF();
            System.out.println("Datos recibidos: " + datos);
            datos = "Información enviada por el cliente: " + new Date().toString();
            flujo_salida.writeUTF(datos);
            System.out.println("Datos enviados: " + datos);
            System.out.println("Desconexión");
            socketCliente.close();

        } catch( Exception e ) {
            System.out.println( e.getMessage() );
        }

    }


    public static void main( String[] arg ) {

        new Cliente();

    }

}


