import java.io.*;
import java.net.*;

class Servidor extends Thread {
    static final int Puerto = 2000;
    Socket skCliente;

    public Servidor(Socket sCliente) {

        skCliente = sCliente;

    }

    public static void main(String[] arg) {

        try {
            // Inicio el servidor en el puerto
            ServerSocket skServidor = new ServerSocket(Puerto);
            System.out.println("Escucho el puerto " + Puerto);
            while (true) {
                // Se conecta un cliente
                Socket skCliente = skServidor.accept();
                System.out.println("Cliente conectado");
                // Atiendo al cliente mediante un thread
                new Servidor(skCliente).start();
            }

        } catch (IOException e) {
            System.out.println("Error: " + e.getMessage());
        }

    }

    public void run() {

        try {
            String mensaje;
            // Creo los flujos de entrada y salida
            DataInputStream flujo_entrada = new DataInputStream(skCliente.getInputStream());
            DataOutputStream flujo_salida = new DataOutputStream(skCliente.getOutputStream());

            // ATENDER PETICIÓN DEL CLIENTE
            flujo_salida.writeUTF("Mensaje del servidor: Se ha conectado el cliente de forma correcta");
            mensaje = flujo_entrada.readUTF();
            System.out.println("Mensaje del cliente:\n" + mensaje);

            // Se cierra la conexión
            skCliente.close();
            System.out.println("Cliente desconectado");
        } catch (Exception e) {
            System.out.println(e.getMessage());
        }

    }
}


